WinShopAPI docs
ReferenceProduct

Delete a product attachment

Removes the attachment from the product and returns 204. Cannot be undone. Requires `Permissions.Product.Update`.

DELETE
/api/products/{productId}/attachment/{attachmentId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32
attachmentId*integer
Formatint32

Response Body

response?unknownapplication/octet-stream
curl -X DELETE 'https://<your-instance>/api/products/0/attachment/0' \  -H 'Authorization: Bearer <access-token>'
null